Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 194393 - [science overlay] sci-mathematics/cadabra
Summary: [science overlay] sci-mathematics/cadabra
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement with 1 vote (vote)
Assignee: Default Assignee for New Packages
URL: http://cadabra.science/
Whiteboard: Science overlay
Keywords: EBUILD, InOverlay
Depends on:
Blocks:
 
Reported: 2007-10-01 14:43 UTC by Dmitry S. Kulyabov
Modified: 2020-11-25 10:22 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
sci-mathematics/lie/lie-2.2.2.ebuild (lie-2.2.2.ebuild,619 bytes, text/plain)
2007-10-01 14:47 UTC, Dmitry S. Kulyabov
Details
sci-mathematics/lie/files/lie-2.2.2-make.patch (lie-2.2.2-make.patch,4.56 KB, patch)
2007-10-01 14:47 UTC, Dmitry S. Kulyabov
Details | Diff
sci-mathematics/cadabra/cadabra-0.120.ebuild (cadabra-0.120.ebuild,1.09 KB, text/plain)
2007-10-01 14:48 UTC, Dmitry S. Kulyabov
Details
sci-libs/modglue/modglue-1.8.ebuild (modglue-1.8.ebuild,564 bytes, text/plain)
2007-10-01 14:48 UTC, Dmitry S. Kulyabov
Details
sci-mathematics/cadabra/cadabra-0.128.ebuild (cadabra-0.128.ebuild,1.09 KB, text/plain)
2007-12-31 09:31 UTC, Dmitry S. Kulyabov
Details
newer ebuild for LiE with fix for a parallel make issue + working SRC_URI (lie-2.2.2.ebuild,964 bytes, text/plain)
2009-03-03 23:07 UTC, François Bissey
Details
parallel make patch for LiE (parrallelmake-lie-2.2.2.patch,332 bytes, patch)
2009-03-03 23:08 UTC, François Bissey
Details | Diff
ebuild for latest modglue. (modglue-1.10.ebuild,743 bytes, text/plain)
2009-03-03 23:09 UTC, François Bissey
Details
ebuild for latest version of cadabra. (cadabra-1.07.ebuild,1.44 KB, text/plain)
2009-03-03 23:10 UTC, François Bissey
Details
updated ebuild for cadabra (cadabra-1.07.ebuild,1.44 KB, text/plain)
2009-03-22 22:14 UTC, François Bissey
Details
sci-libs/modglue/files/gcc-4.4.patch (gcc-4.4.patch,378 bytes, patch)
2009-08-16 13:52 UTC, Dmitry S. Kulyabov
Details | Diff
Makefile from modglue (Makefile,1.14 KB, text/plain)
2010-08-20 11:42 UTC, PL Hayes
Details
build log from modglue (build.log,19.54 KB, text/plain)
2010-08-20 11:46 UTC, PL Hayes
Details
build log from modglue with MAKEOPTS="-j3" (build.log,11.47 KB, text/plain)
2010-08-21 09:21 UTC, PL Hayes
Details
modglue-1.16 build log (EPATCH_SOURCE error) (modglue.log,1.44 KB, text/plain)
2013-09-03 07:45 UTC, Kasper Peeters
Details
emerge --info for modglue-1.19 build error (file_194393.txt,5.10 KB, text/plain)
2013-10-31 12:29 UTC, ota
Details
modglue-1.19 build log with errors (modglue-1.19-error_build.log,11.78 KB, text/x-log)
2013-10-31 12:35 UTC, ota
Details
cadabra-2.1.2.ebuild (cadabra-2.1.2.ebuild,1.73 KB, text/plain)
2017-01-16 08:04 UTC, Dmitry S. Kulyabov
Details
sci-mathematics/cadabra2/files/remove-rm.patch (remove-rm.patch,3.22 KB, patch)
2017-01-16 08:04 UTC, Dmitry S. Kulyabov
Details | Diff
sci-mathematics/cadabra2/files/remove-touch.patch (remove-touch.patch,1.33 KB, patch)
2017-01-16 08:05 UTC, Dmitry S. Kulyabov
Details | Diff
sci-mathematics/cadabra2/cadabra2-2.1.2.ebuild (cadabra2-2.1.2.ebuild,1.73 KB, text/plain)
2017-01-16 08:37 UTC, Dmitry S. Kulyabov
Details
cadabra2-2.1.5 (cadabra2-2.1.5.ebuild,2.15 KB, text/plain)
2017-08-19 10:12 UTC, Dmitry S. Kulyabov
Details
cadabra2-2.1.6.ebuild (cadabra2-2.1.6.ebuild,2.03 KB, text/plain)
2017-11-18 11:50 UTC, Dmitry S. Kulyabov
Details
Compilation with python-3.5 fixed (cadabra2-2.1.6.ebuild,2.23 KB, text/plain)
2017-12-10 17:59 UTC, Dmitry S. Kulyabov
Details
cadabra2-2.1.6.ebuild (cadabra2-2.1.6.ebuild,2.23 KB, text/plain)
2017-12-10 18:00 UTC, Dmitry S. Kulyabov
Details
sci-mathematics/cadabra2/cadabra2-2.2.0.ebuild (cadabra2-2.2.0.ebuild,2.56 KB, text/plain)
2018-04-01 16:07 UTC, Dmitry S. Kulyabov
Details
sci-mathematics/cadabra2/cadabra2-2.2.0.ebuild (cadabra2-2.2.0.ebuild,2.77 KB, text/plain)
2018-06-30 18:37 UTC, Dmitry S. Kulyabov
Details
sci-mathematics/cadabra2/cadabra2-2.2.0.9999.ebuild (cadabra2-2.2.0.9999.ebuild,2.90 KB, text/plain)
2018-08-06 13:53 UTC, Dmitry S. Kulyabov
Details
sci-mathematics/cadabra2/cadabra2-2.2.0.9999.ebuild (cadabra2-2.2.0.9999.ebuild,2.94 KB, text/plain)
2018-08-16 15:06 UTC, Dmitry S. Kulyabov
Details
sci-mathematics/cadabra2/cadabra2-2.2.7.ebuild (cadabra2-2.2.7.ebuild,2.83 KB, text/plain)
2019-11-26 05:46 UTC, Dmitry S. Kulyabov
Details
sci-mathematics/cadabra2/cadabra2-2.2.8.ebuild (cadabra2-2.2.8.ebuild,2.89 KB, text/plain)
2020-01-18 07:33 UTC, Dmitry S. Kulyabov
Details
sci-mathematics/cadabra2/cadabra2-2.3.4.ebuild (cadabra2-2.3.4.ebuild,2.98 KB, text/plain)
2020-11-25 10:22 UTC, Dmitry S. Kulyabov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry S. Kulyabov 2007-10-01 14:43:52 UTC
Field-theory motivated computer algebra system
Comment 1 Dmitry S. Kulyabov 2007-10-01 14:47:38 UTC
Created attachment 132314 [details]
sci-mathematics/lie/lie-2.2.2.ebuild
Comment 2 Dmitry S. Kulyabov 2007-10-01 14:47:57 UTC
Created attachment 132316 [details, diff]
sci-mathematics/lie/files/lie-2.2.2-make.patch
Comment 3 Dmitry S. Kulyabov 2007-10-01 14:48:27 UTC
Created attachment 132318 [details]
sci-mathematics/cadabra/cadabra-0.120.ebuild
Comment 4 Dmitry S. Kulyabov 2007-10-01 14:48:48 UTC
Created attachment 132319 [details]
sci-libs/modglue/modglue-1.8.ebuild
Comment 5 Dmitry S. Kulyabov 2007-12-31 09:31:07 UTC
Created attachment 139698 [details]
sci-mathematics/cadabra/cadabra-0.128.ebuild
Comment 6 François Bissey 2009-03-03 23:07:41 UTC
Created attachment 183821 [details]
newer ebuild for LiE with fix for a parallel make issue + working SRC_URI

I am taking over this bug and provide newer ebuilds.
I will commit these in the science overlay as soon as my 
public key is updated.
Comment 7 François Bissey 2009-03-03 23:08:11 UTC
Created attachment 183822 [details, diff]
parallel make patch for LiE
Comment 8 François Bissey 2009-03-03 23:09:03 UTC
Created attachment 183824 [details]
ebuild for latest modglue.
Comment 9 François Bissey 2009-03-03 23:10:25 UTC
Created attachment 183825 [details]
ebuild for latest version of cadabra.

Currently I filter -Wl,--as-needed as it cause a problem linking
with modglue. Suggestion welcome.
Comment 10 François Bissey 2009-03-22 22:14:16 UTC
Created attachment 185911 [details]
updated ebuild for cadabra

change the dependency to breqn to mh as breqn is leaving the tree.
Comment 11 François Bissey 2009-04-03 11:30:38 UTC
lie-2.2.2, modglue-1.13 and cadabra-1.08 are now in the science overlay.
cannot change the bug status as I don't own it.
Comment 12 Dmitry S. Kulyabov 2009-08-16 13:52:34 UTC
Created attachment 201417 [details, diff]
sci-libs/modglue/files/gcc-4.4.patch

patch for compile with gcc-4.4
Comment 13 Andy Neitzke 2009-08-25 02:07:17 UTC
I had to use MAKEOPTS="-j1" to get any of the three packages lie, modglue, cadabra to build.  (I usually use -j3.)
Comment 14 François Bissey 2010-03-30 06:40:54 UTC
For some reason I wasn't CC on the bug. I thought I was, so I missed
the previous patch and failure report.
As it happens I think I have solved both independently.
cadabra-1.21 has just landed in the overlay, I was told
by Kasper that 1.22 is available (but not linked anywhere
on cadabra's page) and 1.23 should be out shortly.
I'll probably bump for 1.23.
Comment 15 PL Hayes 2010-08-20 02:13:14 UTC
I just tried to emerge the Cadabra/Lie/Modglue triple on amd64. Lie and Modglue built okay but then Cadabra's configure step couldn't find the modglue pkg-config file. Unfortunately it'd been installed, along with the modglue libraries, under:

/usr/usr/lib64/  !!!

I also noticed the Lie ebuild goes wrong somewhere with its docs, installing these files:

/usr/lib/lie/INFO.0
/usr/lib/lie/INFO.1
/usr/lib/lie/INFO.2
/usr/lib/lie/INFO.3
/usr/lib/lie/INFO.4
/usr/lib/lie/INFO.a
/usr/lib/lie/INFO.ind
/usr/lib/lie/LEARN.ind
Comment 16 François Bissey 2010-08-20 08:51:46 UTC
Thanks for testing my latest batch of commit!

(In reply to comment #15)
> I just tried to emerge the Cadabra/Lie/Modglue triple on amd64. Lie and Modglue
> built okay but then Cadabra's configure step couldn't find the modglue
> pkg-config file. Unfortunately it'd been installed, along with the modglue
> libraries, under:
> 
> /usr/usr/lib64/  !!!
> 

That's a new one to me I will have a look in short order.

> I also noticed the Lie ebuild goes wrong somewhere with its docs, installing
> these files:
> 
> /usr/lib/lie/INFO.0
> /usr/lib/lie/INFO.1
> /usr/lib/lie/INFO.2
> /usr/lib/lie/INFO.3
> /usr/lib/lie/INFO.4
> /usr/lib/lie/INFO.a
> /usr/lib/lie/INFO.ind
> /usr/lib/lie/LEARN.ind
> 
I always thought they were data files. I will see to it that it is 
put in the right place. 
I am only mildly annoyed at that since I spent quite sometimes to achieve
proper parallel make - for a while a number of things were built multiple times
when it wasn't failing.
I will also revisit cadabra as I have noticed xcadabra doesn't respect 
{C,LD}FLAGS when linking. 
Comment 17 PL Hayes 2010-08-20 10:30:23 UTC
(In reply to comment #16)

> I always thought they were data files.

You are right - they are. My mistake.

Anyway, thanks for all that and I'll test again as soon as I notice you've made some changes. :)
Comment 18 François Bissey 2010-08-20 10:43:15 UTC
(In reply to comment #17)
> (In reply to comment #16)
> 
> > I always thought they were data files.
> 
> You are right - they are. My mistake.
> 
They are actually lie's internal help system.
I have put them in /usr/share/lie now. I have kept
a lot of the debian stuff and more or less stuck to it.
But I think I will make some changes further down the road.
Comment 19 François Bissey 2010-08-20 11:12:21 UTC
(In reply to comment #15)
> I just tried to emerge the Cadabra/Lie/Modglue triple on amd64. Lie and Modglue
> built okay but then Cadabra's configure step couldn't find the modglue
> pkg-config file. Unfortunately it'd been installed, along with the modglue
> libraries, under:
> 
> /usr/usr/lib64/  !!!
I cannot find the origin of that one. Could you please provide a build log and a copy of the top Makefile after the configure phase?
Comment 20 PL Hayes 2010-08-20 11:42:36 UTC
Created attachment 243681 [details]
Makefile from modglue
Comment 21 PL Hayes 2010-08-20 11:46:41 UTC
Created attachment 243683 [details]
build log from modglue

Okay - requested files attached... 

BTW I had to use “j1” this time even though it worked with “j3” before.
Comment 22 François Bissey 2010-08-20 23:58:57 UTC
OK, I see the problem and why it only affects lib64 users.
I need to do a little bit of thinking. I have a solution but there 
has to be a better way of handling this.
Basically econf passes "--libdir=/usr/lib64" to configure on amd64
systems and nothing on x86. The makefile.in installs stuff in
@prefix@/@libdir@ which is the cause of the problem.
I pushed a fix for you to try. I keyworded modglue ~amd64 as well.
I will keyword lie and cadabra later.
As I said before it this is temporary fix while I work what should
really been done.
Comment 23 PL Hayes 2010-08-21 07:04:43 UTC
(In reply to comment #22)

> I pushed a fix for you to try. I keyworded modglue ~amd64 as well.

Thanks - it worked (although, as before, I had to use MAKEOPTS=“-j1”). 

Comment 24 François Bissey 2010-08-21 09:13:31 UTC
(In reply to comment #23)
> (In reply to comment #22)
> 
> > I pushed a fix for you to try. I keyworded modglue ~amd64 as well.
> 
> Thanks - it worked (although, as before, I had to use MAKEOPTS=“-j1”). 
> 
It works at -j2 here. I will have to ask you for a build log generated
when the build fails.
Comment 25 PL Hayes 2010-08-21 09:21:55 UTC
Created attachment 243825 [details]
build log from modglue with MAKEOPTS="-j3"  

Here it is... :)
Comment 26 François Bissey 2010-08-21 10:14:50 UTC
(In reply to comment #25)
> Created an attachment (id=243825) [details]
> build log from modglue with MAKEOPTS="-j3"  
> 
> Here it is... :)
> 
Pushed a fix. As a bonus we don't compile useless tests that are not installed anymore!
Comment 27 Dongxu Li 2011-04-12 01:58:02 UTC
bumped to 1.28 in sci-overlay
Comment 28 François Bissey 2011-04-12 08:41:33 UTC
(In reply to comment #27)
> bumped to 1.28 in sci-overlay
Thanks for doing that. I am lacking the time at the moment.
Do you want to take care of it? I still have to un-debianize Lie but I would gladly hand cadabra to you if you want.
Comment 29 Dongxu Li 2011-05-24 07:18:23 UTC
(In reply to comment #28)
> (In reply to comment #27)
> > bumped to 1.28 in sci-overlay
> Thanks for doing that. I am lacking the time at the moment.
> Do you want to take care of it? I still have to un-debianize Lie but I would
> gladly hand cadabra to you if you want.

Sure, glad to help.
Comment 30 Gerhard Bräunlich 2012-11-12 10:36:35 UTC
I think the line
dev-libs/gmp[-nocxx]
should be changed to
dev-libs/gmp[cxx]
Comment 31 Thomas Kahle (RETIRED) gentoo-dev 2012-11-12 17:00:45 UTC
(In reply to comment #30)
> I think the line
> dev-libs/gmp[-nocxx]
> should be changed to
> dev-libs/gmp[cxx]

Fixed, thanks!
+  12 Nov 2012; Thomas Kahle <tomka@gentoo.org> cadabra-1.25.ebuild,
+  cadabra-1.28.ebuild, cadabra-1.29.ebuild:
+  Fix dep on gmp[cxx] (Thanks Gerhard Bräunlich)
Comment 32 Jauhien Piatlicki (RETIRED) gentoo-dev 2013-03-31 21:48:05 UTC
*cadabra-1.31 (21 Mar 2013)

  21 Mar 2013; Jauhien Piatlicki (jauhien) <piatlicki@gmail.com>
  +cadabra-1.31.ebuild:
  version bump

Bump to EAPI 5 for ver. 1.31 and different changes in ebuild (thanks to Justin Lecher).
Comment 33 Kasper Peeters 2013-09-03 07:42:22 UTC
The author here, thanks for making these packages!

I just received a report that building of modglue is broken; it bails
out with "Cannot find $EPATCH_SOURCE!" (will attach error log). Any ideas? 
I am not running Gentoo so have no idea what is going wrong here.

While we're at it: modglue is at version 1.19 right now and cadabra at 1.33.
Comment 34 Kasper Peeters 2013-09-03 07:45:14 UTC
Created attachment 357734 [details]
modglue-1.16 build log (EPATCH_SOURCE error)
Comment 35 François Bissey 2013-09-03 10:00:49 UTC
The patch is somehow missing. I will try to bump to the latest and solve the issue in the next few days. Thanks for reporting Kasper!
Comment 36 François Bissey 2013-09-03 22:10:41 UTC
I see the problem, fixing shortly. Then I will look at the upgrade.
Comment 37 François Bissey 2013-09-04 02:23:11 UTC
Working on the new modglue. Kasper I will send you a private email with several outstanding build system fixes that date back from 2010. In fact I just spotted one bit that had escaped previous scrutiny.
Comment 38 ota 2013-10-31 12:27:44 UTC
Not sure if it fits here. If not, I can file a separate bug.

Modglue-1.19 from science overlay fails to build with several files missing, e.g.:
x86_64-pc-linux-gnu-g++: error: /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/crtbeginS.o: No such file or directory

which means that during linking it refers to outdated gcc version files since I am currently using gcc-4.8.1. I am not a developer but maybe there is a problem with some .la files.

I am attaching "emerge --info" and build log in a while.
Comment 39 ota 2013-10-31 12:29:23 UTC
Created attachment 362354 [details]
emerge --info for modglue-1.19 build error
Comment 40 ota 2013-10-31 12:35:33 UTC
Created attachment 362360 [details]
modglue-1.19 build log with errors
Comment 41 François Bissey 2013-10-31 20:31:15 UTC
Can you re-merge libtool and libsigc++ and see if the problem persists?
Comment 42 ota 2013-11-01 11:00:23 UTC
Thanks Francois.
After reemerging those packages (libtool libsigc++) modglue installed successfully.

Is this something that cannot be handled by revdep-rebuild or "emerge @preserved-rebuild" and does it point to some bigger problem with my toolchain?
Thanks again.
Comment 43 François Bissey 2013-11-02 09:02:14 UTC
libigc++ may have been superfluous but I remember having trouble with it a few yaers back.
libtool.... /usr/bin/libtool is a script and it hardcode compiler path. It is possible that the problem is that modglue doesn't use it properly. I may investigate this further in the future. But I recomend rebuilding libtool after your compiler.
Comment 44 Dmitry S. Kulyabov 2017-01-16 08:04:11 UTC
Created attachment 460256 [details]
cadabra-2.1.2.ebuild
Comment 45 Dmitry S. Kulyabov 2017-01-16 08:04:45 UTC
Created attachment 460258 [details, diff]
sci-mathematics/cadabra2/files/remove-rm.patch
Comment 46 Dmitry S. Kulyabov 2017-01-16 08:05:15 UTC
Created attachment 460260 [details, diff]
sci-mathematics/cadabra2/files/remove-touch.patch
Comment 47 Kasper Peeters 2017-01-16 08:25:31 UTC
Author here. Do I understand correctly that the latest patch (cadabra-2.1.2.ebuild) is intended to override whatever is already present? I would strongly advise to keep the old cadabra-1.x series in this package, and open a new package 'cadabra2' for the 2.x series. These two series of the cadabra program are not compatible with each other, but can be installed in parallel. 

Compilation problems with the 1.x series are most likely resolved with the version that is in the github repo at http://github.com/kpeeters/cadabra. I would include that latest version in this package, and then start a new package for the repo at http://github.com/kpeeters/cadabra2 .

Let me know if this is not clear.
Comment 48 Dmitry S. Kulyabov 2017-01-16 08:37:09 UTC
Created attachment 460262 [details]
sci-mathematics/cadabra2/cadabra2-2.1.2.ebuild
Comment 49 Dmitry S. Kulyabov 2017-08-19 10:12:30 UTC
Created attachment 489666 [details]
cadabra2-2.1.5
Comment 50 Dmitry S. Kulyabov 2017-11-18 11:50:54 UTC
Created attachment 504620 [details]
cadabra2-2.1.6.ebuild
Comment 51 Alexey Korepanov 2017-12-10 17:26:11 UTC
Thanks for the ebuild! It did not build with python 3.5, I had to extend the fix in the ebuild for python 3.4.
Comment 52 Dmitry S. Kulyabov 2017-12-10 17:59:21 UTC
Created attachment 509274 [details]
Compilation with python-3.5 fixed
Comment 53 Dmitry S. Kulyabov 2017-12-10 18:00:54 UTC
Created attachment 509276 [details]
cadabra2-2.1.6.ebuild

Compilation with python-3.5 fixed.
Comment 54 Dmitry S. Kulyabov 2018-04-01 16:07:59 UTC
Created attachment 526264 [details]
sci-mathematics/cadabra2/cadabra2-2.2.0.ebuild
Comment 55 Dmitry S. Kulyabov 2018-06-30 18:37:44 UTC
Created attachment 537876 [details]
sci-mathematics/cadabra2/cadabra2-2.2.0.ebuild
Comment 56 Dmitry S. Kulyabov 2018-08-06 13:53:53 UTC
Created attachment 542546 [details]
sci-mathematics/cadabra2/cadabra2-2.2.0.9999.ebuild

Cadabra2 live ebuild.
Comment 57 Dmitry S. Kulyabov 2018-08-16 15:06:59 UTC
Created attachment 543664 [details]
sci-mathematics/cadabra2/cadabra2-2.2.0.9999.ebuild
Comment 58 Alexey Korepanov 2019-11-25 16:35:19 UTC
Dmitry, do you have any new ebuilds? :-) By the way, this bug is 12 years old!
Comment 59 Dmitry S. Kulyabov 2019-11-26 05:46:23 UTC
Created attachment 597542 [details]
sci-mathematics/cadabra2/cadabra2-2.2.7.ebuild

Version bump.
Comment 60 Dmitry S. Kulyabov 2020-01-18 07:33:50 UTC
Created attachment 603642 [details]
sci-mathematics/cadabra2/cadabra2-2.2.8.ebuild
Comment 61 Dmitry S. Kulyabov 2020-11-25 10:22:57 UTC
Created attachment 674836 [details]
sci-mathematics/cadabra2/cadabra2-2.3.4.ebuild